load "../gplot_common-base.gp"

set output "wct_comparison-10M_100M-alfa_0_001.eps"
set title "Wall-Clock Time (WCT), {/Symbol a}=0.01, [10^7, 10^8] extents, 16 threads"
set xlabel "Number of extents"
set ylabel "WCT (seconds)"
set key top left
set yrange [0:275]

plot \
"exec_time-interval_tree-cores_16-alfa_0.001.txt"	using 1:2 title "parallel ITM" with linespoints lw 2 lt 4 pt 4 lc 4 ps 0.9, \
"exec_time-parallel_sort-cores_16-alfa_0.001.txt"	using 1:2 title "parallel SBM" with linespoints lw 2 lt 6 pt 6 lc 6 ps 0.9

show key
show xlabel
show ylabel
show output
