#!/bin/bash

####################################################################
source configuration.sh
####################################################################

for CORES in 1 2 4 6 8 10 12 14 16 18 20 22 24 26 28 30 32
#for CORES in 16
do
	export OMP_NUM_THREADS=$CORES

	for ALG in $PAR_ALGORITHMS
	do
		./batch-tests_mp.sh $ALG $CORES
	done	
done

unset OMP_NUM_THREADS
