load "../gplot_common-base.gp"
load "../gplot_common-threads.gp"

set output "speedup_comparison-1M-alfa_100.000.eps"
set title "Speedup, {/Symbol a}=100, 10^6 extents"
set xlabel "Number of threads"
set ylabel "Speedup"
set key top left
set yrange [1:22]

plot \
"speedup-brute_force_-alfa_100.000_extents_1000000.txt"		using 1:2 title "parallel BF"  with linespoints lw 2 lt 1 pt 1 lc 1 ps 1.2, \
"speedup-interval_tree_-alfa_100.000_extents_1000000.txt"	using 1:2 title "parallel ITM" with linespoints lw 2 lt 4 pt 4 lc 4 ps 0.9, \
"speedup-parallel_sort_-alfa_100.000_extents_1000000.txt"	using 1:2 title "parallel SBM" with linespoints lw 2 lt 6 pt 6 lc 6 ps 0.9

show key
show xlabel
show ylabel
show output

