#!/bin/bash

####################################################################
source configuration.sh
####################################################################

mkdir -p _results
mkdir -p _graphs

rm -f _graphs/wct_*.txt


for ALG in $PAR_ALGORITHMS
do
	for ALFA in $ALFAS
	do
		for CORE in 1 2 4 6 8 10 12 14 16 18 20 22 24 26 28 30 32
		do
			FILENAME="exec_time-"$ALG"-cores_$CORE-alfa_$ALFA.txt"
			WCT=`cat _graphs/$FILENAME | head -1 | cut -f2`
			echo -e "$CORE\t$WCT" >>  "_graphs/wct-"$ALG"-alfa_$ALFA.txt"
		done
	done
done
